from os import path
from setuptools import setup

current = path.abspath(path.dirname(__file__))

with open(path.join(current, 'README.rst')) as f:
    long_description = f.read()
 
setup(
    name='Maat2',
    author='Melvin Bijman',
    author_email='bijman.m.m@gmail.com',
    version='0.8',
    install_requires=[
        'appdirs',
        'coverage',
        'deepdiff',
        'enum34',
        'hypothesis',
        'jsonpickle',
        'packaging',
        'pyparsing',
        'six',
        'unittest2',
        'linecache2',
        'traceback2',
        'py',
    ],
    license='MIT',

    url='https://github.com/Attumm/Maat',
    description='Maat is a extensible transformation and validation library for Python',
    long_description=long_description,
    keywords='validation transformation typechecking dictionary',

    classifiers=[
        'Development Status :: 4 - Beta',

        'Intended Audience :: Developers',

        'License :: OSI Approved :: MIT License',

        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
    ],
)
